This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 24850 - RH 6.2 Unreachable Network with 2 ehernet devices.
RH 6.2 Unreachable Network with 2 ehernet devices.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-24 09:51 EST by giuliano
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description giuliano 2001-01-24 09:51:03 EST
I'm using a i686 intel server with rh 6.2.
Using default kernel and two ethernet devices, all network connections
fails.
If i ping a host on my network, the system give me "host network
unreachable"
If i remove the second ethernet devices, the first devices works correctly.
I have installed 2.2.16-3 kernel, but the error still exists.
I have recompiled 2.2.16 form source, but nothing to do.
Changing ethernet devices give me the same error.
Using the same kernel on a rh 6.0 all works correctly.
Now i think a initscripts problem......
How to solve this?

Best Regard.
Giuliano.
Comment 1 Bill Nottingham 2001-01-24 11:49:34 EST
What does ifconfig say, and what does your routing table look like?
Comment 2 giuliano 2001-01-24 12:23:34 EST
I explain you all my trouble and all my tryes in detail.
Installing rh6.2 with one ethernet device all works correctly with kernel
2.2.16, 17, 18 and 2.4.0
Installing the second ethernet devices (without configuring it) nothing works.
With 2 ethx my ifconfig show (without configuring 2nd ethernet device)
eth0    Link encap:Ethernet  HWaddr 00:01:02:28:46:48
          inet addr:192.168.1.1  Bcast:192.168.1.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100
          Interrupt:10 Base address:0xdc00
lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:3924  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0           
And my route -n show:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
192.168.1.1     0.0.0.0         255.255.255.255 UH    0      0        0 eth0
192.168.1.0     0.0.0.0         255.255.255.0   U     0      0        0 eth0
127.0.0.0       0.0.0.0         255.0.0.0       U     0      0        0 lo
I have tried with kernel 2.2.17, 18, 2.4.0 but nothing. The error still exist.
If i configure the second device and add a gateway:
modprobe rtlk module
ifconfig eth1 192.168.2.1
route add default gw 192.168.4.2 dev eth1
.....
(similar resul if i configure RH scripts in /etc/sysconfig/network and
networks-scripts and /etc/modules.conf)
ifconfig show me:
eth0    Link encap:Ethernet  HWaddr 00:01:02:28:46:48
          inet addr:192.168.1.1  Bcast:192.168.1.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100
          Interrupt:10 Base address:0xdc00
eth1    Link encap:Ethernet  HWaddr 00:01:02:28:46:48
          inet addr:192.168.1.1  Bcast:192.168.1.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100
          Interrupt:10 Base address:0xe00
lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:3924  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0           
And route -n:
192.168.4.1     0.0.0.0         255.255.255.255 UH    0      0        0 eth1
192.168.1.1     0.0.0.0         255.255.255.255 UH    00        0 eth0
192.168.1.0     0.0.0.0         255.255.255.0   U     0      0        0 eth0
192.168.4.0     0.0.0.0         255.255.255.0   U     0      0        0 eth1
127.0.0.0       0.0.0.0         255.0.0.0       U     0      0        0 lo
0.0.0.0	192.168.1.4       0.0.0.0	UH    0      0        0 eth1
And :
if i ping on every address (via eth0 or eth1) i receive "Host destination
unreachable"
if i telnet on every address i receive "No route to host"
I have tried also to update initscripts, modutils and SysVinit with packages
coming from RH 7.0, but nothing.
What can i have to do?

Best Regards.
Giuliano.
Comment 3 Bill Nottingham 2001-01-24 12:27:37 EST
This looks odd; either something you transcribed is wrong, or your
configuration is off.

Basically, according to the ifconfig output, you have two cards with
the same address (192.168.1.1), yet in your routing output, you
have stuff for different addresses/networks.

Is what you posted correct?
Comment 4 giuliano 2001-01-24 12:38:41 EST
Ops. There is an error on my previous comment.
On the second ifconfig show the real ip address of eth1 device is 
192.168.4.1 and broadcast 192.168.4.255.
Sorry for my "cut" and "paste" error ....
^__^
Comment 5 Pekka Savola 2001-01-24 17:13:58 EST
Either there was another typo or your default gateway address is wrong with two interfaces:

---
modprobe rtlk module
     ifconfig eth1 192.168.2.1
     route add default gw 192.168.4.2 dev eth1
---

vs.

0.0.0.0 192.168.1.4       0.0.0.0       UH    0      0        0 eth1

Does pinging a host in the local network(s) work?

Comment 6 giuliano 2001-01-25 04:50:30 EST
An write error also in my default gw.
The real gw is 192.168.4.2, but in my config all was ok.
I'm using 2 planet realtek ethernet devices. 
Some bug on realtek module?
Comment 7 Pekka Savola 2001-01-25 11:44:15 EST
It could be the module, of course.  You could try a different kind from ftp://ftp.scyld.com/pub/network

If you want me to get a better look at this, create a report with 'sysreport' tool in the distribution 
and mail it to me privately.
Comment 8 Bill Nottingham 2001-01-25 19:53:19 EST
Can you ping:

- each address you're using (192.168.1.1, 192.168.4.1)
- the gateway (192.168.4.2)
Remember to use ping -n.

What happens if you run tcpdump - does any traffic appear?
Comment 9 giuliano 2001-01-26 04:23:17 EST
If i ping any ip addres on network 192.168.1.0 and 192.168.4.0 the result is:
"Host Network Unreachable"
If i sniff my packet with tcpdump, nothing appear.
I have a news. I have found an old 3com 900B 10mbits in my office, and i have
replaced one ethernet device with this device.
After configuring the ethernet card all works correctly.
But if i use 2 ethernet realtek chipset, the error return.
......
Comment 10 Bill Nottingham 2001-01-26 12:10:56 EST
OK, driver bug. Assigning to kernel.
Comment 11 Bugzilla owner 2004-09-30 11:38:54 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.